package com.caimei.module.entity.vo;

import com.caimei.module.entity.CmShopOrder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/2/28
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CmMallShopOrderVo extends CmShopOrder {
    /** 供应商名称 */
    private String shopName;
    /** 供应商logo */
    private String shopLogo;
    /** 订单商品数 */
    private Integer productNum;
    /** 商品总金额 */
    private BigDecimal productAmount;
    /** 订单商品信息 */
    private List<CmMallOrderProductVo> cmOrderProducts;

}
