package com.caimei.module.service;

import com.caimei.module.entity.vo.CmMallOrganizeProductsVo;
import com.caimei.module.entity.vo.CmMallProductLadderPriceVo;
import com.caimei.module.entity.vo.CmMallProductSearchHistoryVo;
import com.caimei.module.entity.vo.CmMallOrderVo;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/2/27
 */
public interface SearchService {
    List<CmMallOrganizeProductsVo> searchProduct(Integer organizeID, String searchWord);

    void deleteProductRecord(Integer organizeID, String openID);

    void saveProductRecord(Integer organizeID, String searchWord, String openID);

    List<CmMallProductSearchHistoryVo> findProductRecord(Integer organizeID, String openID);

    CmMallProductLadderPriceVo findLadderPrice(Long id);

    void deleteRecord(Integer organizeID, String openID);

    CmMallProductSearchHistoryVo findAllProductRecord(Integer organizeID, String searchWord, String openID);

    void updateProductRecord(Integer organizeID, String searchWord, String openID);

    CmMallProductSearchHistoryVo findAllOrderRecord(Integer organizeID, String searchWord, String openID);

    void saveOrderRecord(Integer organizeID, String searchWord, String openID);

    void deleteOrderRecord(Integer organizeID, String openID);

    void updateOrderRecord(Integer organizeID, String searchWord, String openID);

    List<CmMallOrderVo> searchOrder(Integer organizeID, String searchWord, Long userID);

    List<CmMallProductSearchHistoryVo> findOrderRecord(Integer organizeID, String openID);

    void deleteSearchHistory(Integer organizeID, String openID);
}
